package com.example.venue_reservation_service.service;

import org.springframework.core.io.InputStreamSource;

public interface EmailService {
    /**
     * 发送简单邮件
     * @param to 收件人
     * @param subject 主题
     * @param text 内容
     */
    void sendSimpleMessage(String to, String subject, String text);

    /**
     * 发送HTML格式邮件
     * @param to 收件人
     * @param subject 主题
     * @param htmlContent HTML内容
     */
    void sendHtmlMessage(String to, String subject, String htmlContent);

    /**
     * 发送带附件的邮件
     * @param to 收件人
     * @param subject 主题
     * @param text 内容
     * @param attachmentFilename 附件文件名
     * @param attachment 附件
     */
    void sendMessageWithAttachment(
            String to,
            String subject,
            String text,
            String attachmentFilename,
            InputStreamSource attachment
    );
}