package com.example.venue_reservation_service;
import cn.hutool.json.JSONUtil;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.example.venue_reservation_service.domain.Information;
import com.example.venue_reservation_service.domain.Reservation;
import com.example.venue_reservation_service.entity.PersonInfo;
import com.example.venue_reservation_service.entity.ResponseData;
import com.example.venue_reservation_service.service.InformationService;
import com.example.venue_reservation_service.service.ReservationService;
import com.example.venue_reservation_service.service.impl.InformationServiceImpl;
import com.example.venue_reservation_service.service.impl.ReservationServiceImpl;
import com.example.venue_reservation_service.utils.IdentityUtil;
import com.example.venue_reservation_service.utils.MD5Util;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.web.client.RestTemplate;
import reactor.core.publisher.Flux;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


@SpringBootTest
class VenueReservationServiceApplicationTests {


    @Resource
    private InformationService informationService;


    @Test
    void contextLoads() throws Exception {
        Map<String, String> tys = new HashMap<>();
        tys.put("南区风雨球场", "篮球");
        tys.put("北区羽毛球场", "羽毛球");
        tys.put("北区网球场", "北区网球");

        List<String> names = new ArrayList<>();
        names.add("1号场");
        names.add("2号场");
        names.add("3号场");
        names.add("4号场");
        names.add("5号场");
        names.add("6号场");
        names.add("7号场");
        names.add("8号场");
        names.add("9号场");
        names.add("10号场");
        names.add("11号场");
        names.add("12号场");

        for (String name : names) {
            Information information = new Information();
            information.setLocation("北区网球场");
            information.setTypeId(1);
            information.setType("网球");
            information.setVenueName(name);
            information.setLocation("北区网球场");
            informationService.addInformation(information);
        }
    }

    public static void main(String[] args) throws Exception {

    }

//    public static void main(String[] args) {
//        // 1. 初始化敏感词库
//        List<String> sensitiveWords = Arrays.asList("赌博", "毒品", "色情");
//
//        // 2. 构建过滤器
//        SensitiveFilter filter = new SensitiveFilter();
//        filter.buildTrie(sensitiveWords);
//
//        // 3. 测试文本过滤
//        String input = "远离赌博，拒绝毒品，健康上网！";
//        String output = filter.filter(input);
//
//        System.out.println("原始文本: " + input);
//        System.out.println("过滤结果: " + output);
//        // 输出：远离***，拒绝***，健康上网！
//    }

}